Skip to main content
GET
/
v1
/
programs
/
{id}
curl -X GET "https://api.affonso.io/v1/programs/prg_abc123"
{
  "success": true,
  "data": {
    "id": "prog_a1b2c3d4",
    "name": "Acme SaaS",
    "description": "The best project management tool for teams",
    "tagline": "Manage projects effortlessly",
    "category": "SaaS",
    "website_url": "https://acme.com",
    "logo_url": "https://cdn.affonso.io/logos/acme.png",
    "auto_approve": true,
    "currency": "USD",
    "commission": {
      "type": "COMMISSION",
      "value": 30,
      "is_percentage": true,
      "apply_to": "FIRST_PAYMENT",
      "has_multiple_tiers": false
    },
    "terms": {
      "cookie_lifetime_days": 60,
      "payment_frequency": "MONTHLY",
      "payment_threshold": 50
    }
  }
}
Retrieve a single marketplace program by ID. This endpoint is public and does not require authentication.

Path Parameters

id
string
required
The unique identifier of the program to retrieve.

Response

success
boolean
Always true for successful responses
data
object
The marketplace program object.
curl -X GET "https://api.affonso.io/v1/programs/prg_abc123"
{
  "success": true,
  "data": {
    "id": "prog_a1b2c3d4",
    "name": "Acme SaaS",
    "description": "The best project management tool for teams",
    "tagline": "Manage projects effortlessly",
    "category": "SaaS",
    "website_url": "https://acme.com",
    "logo_url": "https://cdn.affonso.io/logos/acme.png",
    "auto_approve": true,
    "currency": "USD",
    "commission": {
      "type": "COMMISSION",
      "value": 30,
      "is_percentage": true,
      "apply_to": "FIRST_PAYMENT",
      "has_multiple_tiers": false
    },
    "terms": {
      "cookie_lifetime_days": 60,
      "payment_frequency": "MONTHLY",
      "payment_threshold": 50
    }
  }
}